Game Develop Core: gd::ChooseObjectDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
gd::ChooseObjectDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Dialog used to choose an object ( or a group ) among project/layout objects or groups. More...

`#include <ChooseObjectDialog.h>`

Inheritance diagram for gd::ChooseObjectDialog:
[legend]

## Public Member Functions

| ChooseObjectDialog (wxWindow *parent, Project &project, gd::Layout &layout, bool canSelectGroup=true, std::string onlyObjectOfType_="", bool allowMultipleSelection_=false)
const std::string & | GetChosenObject () const
const std::vector< std::string > & | GetChosenObjects () const

## Public Attributes

wxMenu | Menu2
wxMenu | Menu1
wxSearchCtrl * | searchCtrl
wxMenuItem * | MenuItem1
wxMenuItem * | MenuItem4
wxTreeCtrl * | objectsList
wxButton * | ChoisirBt
wxMenuItem * | editGroupMenuItem
wxStaticLine * | StaticLine1
wxButton * | AnnulerBt
wxMenuItem * | editMenuItem

## Static Protected Attributes

static const long | ID_TREECTRL1 = wxNewId()
static const long | ID_TEXTCTRL1 = wxNewId()
static const long | ID_STATICLINE1 = wxNewId()
static const long | ID_BUTTON1 = wxNewId()
static const long | ID_BUTTON2 = wxNewId()
static const long | ID_MENUITEM2 = wxNewId()
static const long | ID_MENUITEM1 = wxNewId()
static const long | ID_MENUITEM3 = wxNewId()
static const long | ID_MENUITEM4 = wxNewId()

## Detailed Description

Dialog used to choose an object ( or a group ) among project/layout objects or groups.

## Constructor & Destructor Documentation

gd::ChooseObjectDialog::ChooseObjectDialog | ( | wxWindow * | parent,
|  | Project & | project,
|  | gd::Layout & | layout,
|  | bool | canSelectGroup = `true`,
|  | std::string | onlyObjectOfType_ = `""`,
|  | bool | allowMultipleSelection_ = `false`
| ) |  |

Default constructor

Parameters

  parent | The wxWidgets parent window
  project | Project
  layout | Layout
  canSelectGroup | true if objects group can be chosen
  onlyObjectOfType | if not empty, only objects of this type will be displayed
  allowMultipleSelection | if true, more than one object can be chosen in the dialog

## Member Function Documentation

const std::string& gd::ChooseObjectDialog::GetChosenObject | ( | ) |  | const

inline

Return the chosen object

const std::vector<std::string>& gd::ChooseObjectDialog::GetChosenObjects | ( | ) |  | const

inline

Return the chosen objects when multiple selection is allowed

The documentation for this class was generated from the following files:

- ChooseObjectDialog.h
- ChooseObjectDialog.cpp